Figure out better approach for SI prefixes in dashboards
Closed, ResolvedPublic1 Story Points

Description

We have things like "1k ms" in the dashboards, which isn't exactly consistent with conventions on how SI prefixes are supposed to be used. We should fix that somehow at some point.

  • Stakeholder: Dashboard users
  • Benefit: The dashboard is more consistent with appropriate scientific conventions
  • Estimate: Unknown, because the solution isn't decided yet
Deskana created this task.Jun 13 2015, 2:32 PM
Deskana updated the task description. (Show Details)
Deskana raised the priority of this task from to Low.
Deskana added a project: Discovery.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2015, 2:32 PM
Deskana moved this task from Needs triage to Analysis on the Discovery board.Jun 13 2015, 2:33 PM
ksmith moved this task from Analysis to On Sprint Board on the Discovery board.Jun 23 2015, 8:22 PM

So I've dug into this. Options are leaving it alone or, for that sort of graph, not using SI prefixes at all - just displaying the actual values. And that's it without hacking the underlying JavaScript upstream (which I may do in a while recreationally, but I don't know enough JS to make the change yet)

Ironholds edited a custom field.Jul 21 2015, 5:41 PM
Ironholds moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.
Ironholds closed this task as Resolved.Jul 31 2015, 5:43 PM
Deskana moved this task from On Sprint Board to Done on the Discovery board.Aug 12 2015, 12:58 AM